package co.yixiang.yshop.module.member.convert.signinrecord;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.member.controller.admin.signinrecord.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.signinrecord.SignInRecordDO;

/**
 * 签到记录 Convert
 *
 * @author admin
 */
@Mapper
public interface SignInRecordConvert {

    SignInRecordConvert INSTANCE = Mappers.getMapper(SignInRecordConvert.class);

    SignInRecordDO convert(SignInRecordCreateReqVO bean);

    SignInRecordDO convert(SignInRecordUpdateReqVO bean);

    SignInRecordRespVO convert(SignInRecordDO bean);

    List<SignInRecordRespVO> convertList(List<SignInRecordDO> list);

    PageResult<SignInRecordRespVO> convertPage(PageResult<SignInRecordDO> page);

    List<SignInRecordExcelVO> convertList02(List<SignInRecordDO> list);

}
